<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:49 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Category</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa.backend.Category class">
<meta name="keywords" content="get_id()">
<meta name="keywords" content="getName()">
<meta name="keywords" content="setName()">
<meta name="keywords" content="component1()">
<meta name="keywords" content="component2()">
<meta name="keywords" content="copy()">
<meta name="keywords" content="toString()">
<meta name="keywords" content="hashCode()">
<meta name="keywords" content="equals()">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Category";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="enum in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryDAO.html" title="interface in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/Category.html" target="_top">Frames</a></li>
<li><a href="Category.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">markus.keingeldfuerdiemensa.backend</div>
<h2 title="Class Category" class="title">Class Category</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>markus.keingeldfuerdiemensa.backend.Category</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Category</span></pre>
<div class="block"><p><p><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> ist die Kotlin-Repräsentation einer Zeile der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> in der money_records -Tabelle</p></p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>, 
<a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#Category-_id-name-">Category</a></span>(long&nbsp;_id,
        java.lang.String&nbsp;name)</code>
<div class="block">Wird von Room verwendet um Daten aus der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> zu repräsentieren oder kann manuell aufgerufen
werden um Dummys zu erstellen (diese müssen extra in die DB eingefügt werden, um sie zu speichern)</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#component1--">component1</a></span>()</code>
<div class="block">Eindeutige ID des Eintrages,</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#component2--">component2</a></span>()</code>
<div class="block">Der sichtbare Name der Kategorie,</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#copy-_id-name-">copy</a></span>(long&nbsp;_id,
    java.lang.String&nbsp;name)</code>
<div class="block"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> ist die Kotlin-Repräsentation einer Zeile der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> in der money_records -Tabelle</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#equals-p-">equals</a></span>(java.lang.Object&nbsp;p)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#getName--">getName</a></span>()</code>
<div class="block">Der sichtbare Name der Kategorie,</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#get_id--">get_id</a></span>()</code>
<div class="block">Eindeutige ID des Eintrages,</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#setName-p-">setName</a></span>(java.lang.String&nbsp;p)</code>
<div class="block">Der sichtbare Name der Kategorie,</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Category-_id-name-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Category</h4>
<pre>public&nbsp;Category(long&nbsp;_id,
                java.lang.String&nbsp;name)</pre>
<div class="block"><p><p>Wird von Room verwendet um Daten aus der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> zu repräsentieren oder kann manuell aufgerufen
werden um Dummys zu erstellen (diese müssen extra in die DB eingefügt werden, um sie zu speichern)</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>_id</code> - Eindeutige ID des Eintrages, wird als Primärschlüssel in der Datenbank-Tabelle verwendet und ist unveränderlich</dd>
<dd><code>name</code> - Der sichtbare Name der Kategorie, wird vom Benutzer bei der Erstellung vergeben</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="get_id--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get_id</h4>
<pre>public&nbsp;long&nbsp;get_id()</pre>
<div class="block"><p>Eindeutige ID des Eintrages,</p><p><p> wird als Primärschlüssel in der Datenbank-Tabelle verwendet und ist unveränderlich</p></p></div>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block"><p>Der sichtbare Name der Kategorie,</p><p><p> wird vom Benutzer bei der Erstellung vergeben</p></p></div>
</li>
</ul>
<a name="setName-p-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;p)</pre>
<div class="block"><p>Der sichtbare Name der Kategorie,</p><p><p> wird vom Benutzer bei der Erstellung vergeben</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - Der sichtbare Name der Kategorie, wird vom Benutzer bei der Erstellung vergeben</dd>
</dl>
</li>
</ul>
<a name="component1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>component1</h4>
<pre>public&nbsp;long&nbsp;component1()</pre>
<div class="block"><p>Eindeutige ID des Eintrages,</p><p><p> wird als Primärschlüssel in der Datenbank-Tabelle verwendet und ist unveränderlich</p></p></div>
</li>
</ul>
<a name="component2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>component2</h4>
<pre>public&nbsp;java.lang.String&nbsp;component2()</pre>
<div class="block"><p>Der sichtbare Name der Kategorie,</p><p><p> wird vom Benutzer bei der Erstellung vergeben</p></p></div>
</li>
</ul>
<a name="copy-_id-name-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copy</h4>
<pre>public&nbsp;<a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;copy(long&nbsp;_id,
                     java.lang.String&nbsp;name)</pre>
<div class="block"><p><p><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> ist die Kotlin-Repräsentation einer Zeile der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> in der money_records -Tabelle</p></p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>, 
<a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
</li>
</ul>
<a name="equals-p-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;p)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="enum in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryDAO.html" title="interface in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/Category.html" target="_top">Frames</a></li>
<li><a href="Category.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
